

<div id="attachement-body" class="collapse show">

  <div class="card-body p-2">

    <div *ngIf="attachments && attachments.length > 0" class="row">
      <div *ngFor="let attachment of attachments" class=" col-md-4 col-6"
           (click)="onDownload(attachment)">
        <div class="attachement">
          <ng-container [ngSwitch]="getFileExtension(attachment.fileName)">
            <i *ngSwitchCase="'pdf'" class="fa fa-file-pdf-o"></i>
            <i *ngSwitchCase="'excel'" class="fa fa-file-excel-o"></i>
            <i *ngSwitchCase="'word'" class="fa fa-file-word-o"></i>
            <i *ngSwitchCase="'image'" class="fa fa-file-image-o"></i>
            <i *ngSwitchDefault class="fa fa-file-o"> </i>
          </ng-container>
          <div>{{attachment.documentName}}</div>
        </div>
      </div>
    </div>

    <div *ngIf="!attachments || attachments.length === 0" class="alert alert-primary text-center mb-0"
         role="alert">
      <div class="iq-alert-icon text-center">
        <i class="ri-information-line"></i>
      </div>
      <div class="iq-alert-text">{{'FIELD.PLEASE.NO_DATA'|translate}}</div>
    </div>

  </div>

</div>
